crmsh (5.0.0-2ubuntu3) resolute; urgency=medium

  * d/p/0029-python3.14-asyncio-fix.patch: cope with asyncio changes in
    python 3.14 (LP: #2138802)

 -- Andreas Hasenack <andreas.hasenack@canonical.com>  Thu, 19 Feb 2026 09:55:09 -0300

crmsh (5.0.0-2ubuntu2) resolute; urgency=medium

  * d/p/0028-* : Replace ast.Num by ast.Constant for Python 3.14
    (LP: #2139102)

 -- Hector Cao <hector.cao@canonical.com>  Mon, 02 Feb 2026 16:57:08 +0100

crmsh (5.0.0-2ubuntu1) resolute; urgency=medium

  * Merge with Debian unstable (LP: #2125991). Remaining changes:
    - d/t/control: add resource-agents-extra as a dependency of some tests.
    - d/t/testsuite.sh: unset SUDO_USER to proper replicate this test run across
      different environments.

 -- Renan Rodrigo <rr@ubuntu.com>  Mon, 17 Nov 2025 02:12:25 -0300

crmsh (5.0.0-2) unstable; urgency=medium

  * d/control: add util-linux-extra to Suggests (Closes: #1116291)
  * d/control: add crm114 to Conflicts (Bug: #1098983)

 -- Valentin Vidic <vvidic@debian.org>  Mon, 27 Oct 2025 21:08:05 +0100

crmsh (5.0.0-1) unstable; urgency=medium

  * New upstream version 5.0.0
  * d/patches: refresh for new version

 -- Valentin Vidic <vvidic@debian.org>  Sun, 24 Aug 2025 15:22:38 +0200

crmsh (5.0.0~rc2-1) unstable; urgency=medium

  * New upstream version 5.0.0~rc2
  * d/patches: refresh for new version

 -- Valentin Vidic <vvidic@debian.org>  Tue, 15 Jul 2025 20:42:43 +0200

crmsh (5.0.0~rc1-1) unstable; urgency=medium

  * New upstream version 5.0.0~rc1
  * d/patches: refresh for new version
  * d/patches: fix python build rules
  * d/patches: use Debian path for sbd config
  * d/tests: update tests for new version
  * d/copyright: update file list for new version
  * d/control: update build depends for new version
  * d/rules: update build rules for new version

 -- Valentin Vidic <vvidic@debian.org>  Thu, 19 Jun 2025 21:08:58 +0200

crmsh (4.6.1-2ubuntu1) questing; urgency=medium

  * Merge with Debian unstable (LP: #2110432). Remaining changes:
    - d/t/control: add resource-agents-extra as a dependency of some tests.
    - d/t/testsuite.sh: unset SUDO_USER to proper replicate this test run across
      different environments.

 -- Renan Rodrigo <renanrodrigo@canonical.com>  Thu, 29 May 2025 15:17:08 -0300

crmsh (4.6.1-2) unstable; urgency=medium

  * d/patches: fix update_err handling (Closes: #1102663)
  * d/rules: fix shebang rewrite

 -- Valentin Vidic <vvidic@debian.org>  Tue, 15 Apr 2025 21:51:42 +0200

crmsh (4.6.1-1) unstable; urgency=medium

  * New upstream version 4.6.1
  * d/patches: refresh for new version (Closes: #1101479)
  * d/rules: fix documentation build
  * d/tests: fix failing autopkgtest
  * d/control: update Standards-Version to 4.7.2

 -- Valentin Vidic <vvidic@debian.org>  Wed, 02 Apr 2025 22:46:02 +0200

crmsh (4.6.0-4ubuntu1) plucky; urgency=medium

  * Merge from Debian Unstable. Remaining changes:
    - d/t/control: add resource-agents-extra as a dependency of some tests.
    - d/t/testsuite.sh: unset SUDO_USER to proper replicate this test run across
      different environments.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 19 Feb 2025 18:30:10 -0600

crmsh (4.6.0-4) unstable; urgency=medium

  * d/patches: add fix for failing timestamp test

 -- Valentin Vidic <vvidic@debian.org>  Sun, 09 Feb 2025 16:59:10 +0100

crmsh (4.6.0-3ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable (LP: #2085226). Remaining changes:
    - d/t/control: add resource-agents-extra as a dependency of some tests.
    - d/t/testsuite.sh: unset SUDO_USER to proper replicate this test run across
      different environments.
  * Dropped changes:
    - d/p/fix-findln-by-timestamp-test.patch: fix failing unit test.
      (Closes: #1068562) (LP #2060536)
      [ Fixed in 4.6.0-2 ]

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Tue, 17 Dec 2024 16:50:11 -0300

crmsh (4.6.0-3) unstable; urgency=medium

  * d/patches: fix python syntax warnings (Closes: #1082829)

 -- Valentin Vidic <vvidic@debian.org>  Sun, 03 Nov 2024 14:58:54 +0100

crmsh (4.6.0-2) unstable; urgency=medium

  [ Athos Ribeiro ]
  * d/patches: fix failing unit test (Closes: #1068562)

  [ Valentin Vidic ]
  * d/control: update Standards-Version to 4.7.0

 -- Valentin Vidic <vvidic@debian.org>  Sun, 14 Apr 2024 13:11:19 +0200

crmsh (4.6.0-1ubuntu2) noble; urgency=medium

    - d/p/fix-findln-by-timestamp-test.patch: fix failing unit test.
      (Closes: #1068562) (LP: #2060536)

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Wed, 10 Apr 2024 16:14:45 -0300

crmsh (4.6.0-1ubuntu1) noble; urgency=medium

  * Merge with Debian; remaining changes:
    - d/t/control: add resource-agents-extra as a dependency of some tests.
    - d/t/testsuite.sh: unset SUDO_USER to proper replicate this test run across
      different environments.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 18 Feb 2024 23:46:13 +0100

crmsh (4.6.0-1) unstable; urgency=medium

  * New upstream version 4.6.0
  * d/control: drop depends on python3-parallax (Closes: #1061552)
  * d/patches: refresh for new version
  * d/patches: fix build with Python 3.12 (Closes: #1061794)
  * d/control: update pkgconf dependency
  * d/patches: fix bootstrap with dash as /bin/sh
  * d/postinst: create log dir and file unless they exists

 -- Valentin Vidic <vvidic@debian.org>  Sat, 17 Feb 2024 13:58:22 +0100

crmsh (4.5.0-1ubuntu3) noble; urgency=medium

  * Use packaging.version instead of distutils.version.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 07 Feb 2024 03:45:17 +0100

crmsh (4.5.0-1ubuntu2) noble; urgency=medium

  * d/t/testsuite.sh: unset SUDO_USER to proper replicate this test run across
    different environments.

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Tue, 05 Dec 2023 11:44:42 -0300

crmsh (4.5.0-1ubuntu1) noble; urgency=medium

  * Merge with Debian unstable (LP: #2040377). Remaining changes:
    - d/t/control: add resource-agents-extra as a dependency of some tests.

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Wed, 01 Nov 2023 15:13:15 -0300

crmsh (4.5.0-1) unstable; urgency=medium

  * New upstream version 4.5.0
  * d/patches: refresh for new version
  * d/tests: refresh for new version
  * d/postinst: create a logging directory (Closes: #1042448)
  * d/clean: remove generated files (Closes: #1044302)
  * d/patches: add fix for ssh error

 -- Valentin Vidic <vvidic@debian.org>  Tue, 10 Oct 2023 22:57:14 +0200

crmsh (4.4.1-1ubuntu1) mantic; urgency=medium

  * Merge with Debian unstable (LP: #2018067). Remaining changes:
    - d/t/control: add resource-agents-extra as a dependency of some tests.
  * Drop changes:
    - d/t/control: add fence-virt as dependency of utils.sh.
      [ Fixed in Debian in 4.4.0-5 ]
    - d/t/utils.sh: use fence-virt package instead of vim.
      [ Fixed in Debian in 4.4.0-5 ]

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Tue, 04 Jul 2023 10:22:31 -0300

crmsh (4.4.1-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Mark spelling-errors.patch as Applied-Upstream.
  * Mark getargspec.patch as Applied-Upstream.

  [ Valentin Vidic ]
  * New upstream version 4.4.1
  * d/patches: refresh for new version

 -- Valentin Vidic <vvidic@debian.org>  Fri, 03 Mar 2023 22:48:41 +0100

crmsh (4.4.0-5) unstable; urgency=medium

  [ Lucas Kanashiro ]
  * d/tests: use fence-virt in utils.sh test

  [ Valentin Vidic ]
  * d/control: update Standards-Version to 4.6.2
  * d/copyright: update year

 -- Valentin Vidic <vvidic@debian.org>  Sat, 14 Jan 2023 01:45:45 +0100

crmsh (4.4.0-4ubuntu1) lunar; urgency=medium

  * Merge with Debian unstable (LP: #2002811). Remaining changes:
    - d/t/control: add resource-agents-extra as a dependency of some tests.
    - d/t/control: add fence-virt as dependency of utils.sh
    - d/t/utils.sh: use fence-virt package instead of vim
      The test tries to remove the chosen package and vim is a
      dependency of ubuntu-server and cannot be removed.

 -- Simon Chopin <schopin@ubuntu.com>  Fri, 13 Jan 2023 14:08:25 +0100

crmsh (4.4.0-4) unstable; urgency=medium

  * Team upload.
  * Add patch to not use inspect.getargspec, removed from python3.11.
  * Add gbp.conf to use pristine-tar & --source-only-changes by default.
  * Add patch to fix spelling errors.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 12 Jan 2023 09:54:32 +0100

crmsh (4.4.0-3ubuntu1) lunar; urgency=medium

  * Merge with Debian unstable (LP: #1993394). Remaining changes:
    - d/t/control: add resource-agents-extra as a dependency of some tests.
  * Dropped:
    - d/t/pacemaker-node-status.sh: Get the node name with "crm_node -n"
      instead of using "corosync-cmapctl". Ubuntu's corosync default
      configuration file does not set the node name.
      [ applied in Debian version 4.4.0-2 ]
  * Added:
    - d/t/control: add fence-virt as dependency of utils.sh.
    - d/t/utils.sh: use fence-virt package instead of vim.
      The test tries to remove the chosen package and vim is a
      dependency of ubuntu-server and cannot be removed.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Wed, 04 Jan 2023 16:37:04 -0300

crmsh (4.4.0-3) unstable; urgency=medium

  * d/patches: fix crmadmin parsing (Closes: #1023824)
  * d/tests: add test for resource restart

 -- Valentin Vidic <vvidic@debian.org>  Sun, 13 Nov 2022 13:18:35 +0100

crmsh (4.4.0-2) unstable; urgency=medium

  * d/tests: update node status test
  * d/patches: fix build with new version of setuptools
  * d/patches: fix typo in patch description
  * d/lintian-overrides: update format for new lintian

 -- Valentin Vidic <vvidic@debian.org>  Sat, 15 Oct 2022 14:49:18 +0200

crmsh (4.4.0-1ubuntu1) kinetic; urgency=medium

  * Merge with Debian unstable (LP: #1971271, #1972730). Remaining changes:
    - d/t/pacemaker-node-status.sh: Get the node name with "crm_node -n"
      instead of using "corosync-cmapctl". Ubuntu's corosync default
      configuration file does not set the node name.
    - d/t/control: add resource-agents-extra as a dependency of some tests.
  * Dropped changes:
    - d/p/0020-Use-crmsh-hb_report.patch: use the crmsh shipped hb_report script
      when available (LP #1958247).
      [ The hb_report script is no longer present since 4.4.0. ]
    - d/p/0021-Support-python-310.patch: support Python 3.10 (LP #1958393).
      [ Included in 4.4.0. ]

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Tue, 31 May 2022 18:04:36 -0300

crmsh (4.4.0-1) unstable; urgency=medium

  * New upstream version 4.4.0
  * d/patches: refresh for new version
  * d/tests: refresh for new version
  * d/control: add iputils-ping dependency
  * d/control: update Standards-Version to 4.6.1
  * d/lintian-overrides: refresh for new version

 -- Valentin Vidic <vvidic@debian.org>  Sat, 28 May 2022 12:06:50 +0200

crmsh (4.3.1-3) unstable; urgency=medium

  [ Athos Ribeiro ]
  * d/p/0020-Use-crmsh-hb_report.patch: use the crmsh shipped hb_report script
    when available
  * d/p/0021-Support-python-310.patch: support Python 3.10
    (Closes: #1009087, #1009092)

  [ Valentin Vidic ]
  * d/patches: cleanup duplicate patch
  * d/rules: fix timestamps on patched files for reproducible build

 -- Valentin Vidic <vvidic@debian.org>  Sun, 10 Apr 2022 09:48:28 +0200

crmsh (4.3.1-2) unstable; urgency=medium

  * d/tests: fix cluster init test
  * d/patches: add fix for python 3.10 (Closes: #1009087, #1009087)

 -- Valentin Vidic <vvidic@debian.org>  Sun, 10 Apr 2022 07:11:23 +0200

crmsh (4.3.1-1ubuntu2) jammy; urgency=medium

  * d/t/control: add resource-agents-extra as a dependency of
    pacemaker-basic-resource.sh and testsuite.sh tests (LP: #1968222).

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Thu, 07 Apr 2022 17:13:50 -0300

crmsh (4.3.1-1ubuntu1) jammy; urgency=medium

  * Merge with Debian unstable (LP: #1958978). Remaining changes:
    - d/t/pacemaker-node-status.sh: Use the output of "uname -n" instead
      of "node1" as the pacemaker node name.
    - d/p/0020-Use-crmsh-hb_report.patch: use the crmsh shipped hb_report script
      when available (LP #1958247).
      [ Adjusted for 4.3.1 upstream release. ]
  * Dropped changes:
    - d/p/0017-Fix-health-scripts-python-38-support.patch: remove deprecated
      function usage (LP #1947022).
      [ Included in Debian in 4.3.1-1. ]
    - d/p/0018-Replace-crmd.patch: replace crmd calls with pacemaker-controld
      (LP #1958241).
      [ Included in Debian in 4.3.1-1. ]
    - d/t/testsuite.sh: set timezone for time conversion tests (LP #1958243).
      [ Included in Debian in 4.3.1-1. ]
    - d/p/0019-Add-hb_report-dpkg-support.patch: Add dpkg support to hb_report
      (LP #1958246).
      [ Included in Debian in 4.3.1-1. ]
  * Added changes:
    - d/p/0021-Support-python-310.patch: support Python 3.10 (LP: #1958393).

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Wed, 26 Jan 2022 09:27:26 -0300

crmsh (4.3.1-1) unstable; urgency=medium

  [ Valentin Vidic ]
  * New upstream version 4.3.1 (Closes: #992708)
  * d/patches: refresh for new version
  * d/tests: update for new version
  * d/control: update Standards-Version
  * d/copyright: update year
  * d/watch: update github url
  * d/rules: fix installation of vim syntax plugin (Closes: #990222)

  [ Athos Ribeiro ]
  * d/t/testsuite.sh: set timezone for time conversion tests
  * d/p/0017-Fix-health-scripts-python-38-support.patch: remove deprecated
    function usage
  * d/p/0018-Replace-crmd.patch: replace crmd calls with pacemaker-controld
  * d/p/0019-Add-hb_report-dpkg-support.patch: Add dpkg support to hb_report

 -- Valentin Vidic <vvidic@debian.org>  Wed, 19 Jan 2022 21:13:36 +0100

crmsh (4.2.1-3ubuntu2) jammy; urgency=medium

  * New changes:
    - d/p/0017-Fix-health-scripts-python-38-support.patch: remove deprecated
      function usage (LP: #1947022).
    - d/p/0018-Replace-crmd.patch: replace crmd calls with pacemaker-controld
      (LP: #1958241).
    - d/t/testsuite.sh: set timezone for time conversion tests (LP: #1958243).
    - d/p/0019-Add-hb_report-dpkg-support.patch: add dpkg support to hb_report
      (LP: #1958246).
    - d/p/0020-Use-crmsh-hb_report.patch: use the crmsh shipped hb_report script
      when available (LP: #1958247).

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Fri, 07 Jan 2022 10:14:32 -0300

crmsh (4.2.1-3ubuntu1) jammy; urgency=medium

  * Merge with Debian unstable (LP: #1946853). Remaining changes:
    - d/t/pacemaker-node-status.sh: Use the output of "uname -n" instead
      of "node1" as the pacemaker node name.

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Mon, 06 Dec 2021 17:46:48 +0530

crmsh (4.2.1-3) unstable; urgency=medium

  * Team upload
  * Fix autopkgtest regression with Pacemaker 2.1
    Caused by the fix of https://bugs.clusterlabs.org/show_bug.cgi?id=5395
    (commit 0923b405030820daef3474ac2ae07187a7dd97f7)

 -- Ferenc Wágner <wferi@debian.org>  Sat, 30 Oct 2021 15:37:37 +0200

crmsh (4.2.1-2ubuntu1) impish; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/t/pacemaker-node-status.sh: Use the output of "uname -n" instead
      of "node1" as the pacemaker node name.
  * Dropped:
    - Upstream patches with post release fixes
      + [997f62d6] Fix: hb_report: disable dump all tasks stack into dmesg
      + [cce28254] Fix: crmsh.spec: using mktemp to create tmp file
      + [e098387e] Fix: bootstrap: use csync2 '-f' option correctly
      + [669f13b5] Fix: bootstrap: Change condition to add stonith-sbd resource
      + [ca1f0a7f] Fix: ui_resource: refresh <Tab> should complete resource
        first
      + [78ce77e4] Low: hb_report: Fix collecting of binary data
      [Applied by upstream in version 4.2.1]

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Fri, 23 Jul 2021 09:38:52 -0300

crmsh (4.2.1-2) unstable; urgency=medium

  * d/patches: include fix for CVE-2020-35459 (Closes: #985376)

 -- Valentin Vidic <vvidic@debian.org>  Sun, 21 Mar 2021 21:23:08 +0100

crmsh (4.2.1-1) unstable; urgency=medium

  * New upstream version 4.2.1
  * d/patches: refresh for new version
  * d/control: update Standards-Version
  * d/watch: update version to 4
  * d/lintian-overrides: ignore text files
  * d/tests: update for new version

 -- Valentin Vidic <vvidic@debian.org>  Wed, 03 Feb 2021 22:05:33 +0100

crmsh (4.2.0-4ubuntu2) impish; urgency=medium

  * d/t/pacemaker-node-status.sh: Use the output of "uname -n" instead
    of "node1" as the pacemaker node name.

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Wed, 07 Jul 2021 16:44:57 -0400

crmsh (4.2.0-4ubuntu1) hirsute; urgency=medium

  * Merge with Debian; remaining changes:
    - [997f62d6] Fix: hb_report: disable dump all tasks stack into dmesg
    - [cce28254] Fix: crmsh.spec: using mktemp to create tmp file
    - [e098387e] Fix: bootstrap: use csync2 '-f' option correctly
    - [669f13b5] Fix: bootstrap: Change condition to add stonith-sbd resource
    - [ca1f0a7f] Fix: ui_resource: refresh <Tab> should complete resource first
    - [78ce77e4] Low: hb_report: Fix collecting of binary data

 -- Matthias Klose <doko@ubuntu.com>  Sun, 29 Nov 2020 13:55:19 +0100

crmsh (4.2.0-4) unstable; urgency=medium

  * d/patches: fix flaky autopkgtest (Closes: #972619)
  * d/control: use debhelper v13
  * d/lintian-overrides: update override name

 -- Valentin Vidic <vvidic@debian.org>  Wed, 21 Oct 2020 20:42:26 +0200

crmsh (4.2.0-3ubuntu1) groovy; urgency=medium

  * Fixes before release: (LP: #1895728)
    - [997f62d6] Fix: hb_report: disable dump all tasks stack into dmesg
    - [cce28254] Fix: crmsh.spec: using mktemp to create tmp file
    - [e098387e] Fix: bootstrap: use csync2 '-f' option correctly
    - [669f13b5] Fix: bootstrap: Change condition to add stonith-sbd resource
    - [ca1f0a7f] Fix: ui_resource: refresh <Tab> should complete resource first
    - [78ce77e4] Low: hb_report: Fix collecting of binary data

 -- Rafael David Tinoco <rafaeldtinoco@ubuntu.com>  Wed, 16 Sep 2020 03:41:38 +0000

crmsh (4.2.0-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Valentin Vidic ]
  * debian/tests: use isolation-machine for cluster init (Closes: #953944)
  * d/control: update Standards-Version to 4.5.0
  * d/patches: refresh patches

 -- Valentin Vidic <vvidic@debian.org>  Sun, 15 Mar 2020 20:22:51 +0100

crmsh (4.2.0-2) unstable; urgency=medium

  * d/patches: fix tests failing in 2020

 -- Valentin Vidic <vvidic@debian.org>  Sat, 04 Jan 2020 11:30:00 +0100

crmsh (4.2.0-1) unstable; urgency=medium

  * New upstream version 4.2.0
  * d/salsa-ci.yml: enable CI
  * d/tests: update for pacemaker 2.0.3
  * d/tests: ufw broken without /sbin/iptables symlink
  * d/patches: refresh for new upstream version
  * d/control: add Rules-Requires-Root
  * d/lintian-overrides: ignore manpage warning

 -- Valentin Vidic <vvidic@debian.org>  Thu, 26 Dec 2019 16:05:33 +0100

crmsh (4.1.0-4) unstable; urgency=medium

  * d/tests: skip some tests in uprivileged containers
  * d/control: update Standards-Version to 4.4.1

 -- Valentin Vidic <vvidic@debian.org>  Mon, 18 Nov 2019 20:22:57 +0100

crmsh (4.1.0-3) unstable; urgency=medium

  * d/control: use debhelper v12
  * d/patches: fix new testsuite errors
  * d/patches: fix YAML warning for unsafe loader

 -- Valentin Vidic <vvidic@debian.org>  Sun, 01 Sep 2019 10:39:19 +0200

crmsh (4.1.0-2) unstable; urgency=medium

  * d/control: drop python 2 packages from Build-Depends
  * d/rules: clean using python 3
  * d/patches: build documentation using python 3
  * d/patches: fix spelling problems reported by lintian

 -- Valentin Vidic <vvidic@debian.org>  Fri, 16 Aug 2019 19:07:42 +0200

crmsh (4.1.0-1) unstable; urgency=medium

  * New upstream version 4.1.0
  * d/control: update Standards-Version to 4.4.0
  * d/patches: update for new version

 -- Valentin Vidic <vvidic@debian.org>  Sat, 13 Jul 2019 23:26:42 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog crmsh`.
